{{- $position := .position -}}
{{- $title := .title -}}
{{- with .data -}}
  <section class="block-files" id="block-{{ $position }}">
    <div class="container">
      <div class="block-content">
        {{- with $title }}
        <h2 id="{{ . | urlize }}">{{ partial "osuny/PrepareHTML" . }}</h2>
        {{ end -}}
        <ul>
          {{- range .files }}
            {{ if ne .id "" }}
              {{- $file := partial "osuny/GetMedia" .id -}}
              {{ if $file }}
                <li>
                  {{- $title := .title -}}
                  {{- if (not $title) }}
                    {{ $title = $file.name }}
                  {{ end -}}
                  {{- $size := partial "osuny/GetHumanSize" $file.size -}}
                  {{- $extention := partial "osuny/GetExtensionFile" $file.name -}}
                  {{- $title_with_size := printf "%s (%s · %s)" $title $extention $size -}}
                  {{- $url := $file.url -}}
                  {{- if site.Params.keycdn -}}
                    {{- $url = $file.direct_url -}}
                  {{- end -}}
                  {{ if $file }}
                    <svg aria-hidden="true" width="24" height="24"><use xlink:href="#file"/></svg>
                    <a href="{{ $url }}" download="{{ partial "osuny/PrepareHTML" $file.name }}" target="_blank" title="« {{ $title_with_size }} » – lien externe">{{ $title_with_size }}</a>
                  {{ end }}
                </li>
              {{ end -}}
            {{ end -}}
          {{ end -}}
        </ul>
      </div>
    </div>
  </section>
{{- end -}}
